Package org.springframework.security.web

# Interface SecurityFilterChain

All Known Implementing Classes:
  `DefaultSecurityFilterChain`

public interface SecurityFilterChain
Defines a filter chain which is capable of being matched against an `HttpServletRequest`. in order to decide whether it applies to that request.

Used to configure a `FilterChainProxy`.

Since:
  3.1

## Method Summary

Modifier and Type
Method
Description
`List<jakarta.servlet.Filter>`
`getFilters()`
`boolean`
`matches(jakarta.servlet.http.HttpServletRequest request)`

## Method Details

### matches

boolean matches(jakarta.servlet.http.HttpServletRequest request)

### getFilters

List<jakarta.servlet.Filter> getFilters()